---
- name: Update apt cache if needed
  become: yes
  apt:
    update_cache: yes
    cache_valid_time: 3600

- name: Install generic deps
  become: yes
  apt:
    pkg:
      - git
      - sudo
      - acl

- name: Add Backports Repository
  become: yes
  apt_repository:
    repo: deb http://deb.debian.org/debian buster-backports main contrib non-free
    state: present
    update_cache: yes

- name: Install Unattended Upgrades
  become: yes
  apt:
    pkg:
      - unattended-upgrades

- name: Activate Unattented Upgrades
  become: yes
  copy:
    src: 20auto-upgrades
    dest: /etc/apt/apt.conf.d/20auto-upgrades
    owner: root
    group: root
    mode: 0644
